#!/bin/bash

# Copyright 2010 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

# Get the full directory path of the test script
DIR="$( cd "$( dirname "$0" )" && pwd )"

# Load functions under test
source "${DIR}/../functions/ssh.sh"

# Force key permissions to 600 to keep SSH happy
chmod 600 "${DIR}/offspring_test_key"

# Load test key
AddKeys "${DIR}/offspring_test_key"

# See what keys are loaded (expect lib/offspring/build/tests/offspring_test_key)
echo After loading test key, keys are:
ssh-add -l

# Stop the loaded ssh-agent process
StopSSHAgent

# Check that no keys are listed: Expect "Could not open a connection to your authentication agent."
echo "After killing ssh agent, we shouldn't be able to find any keys..."
ssh-add -l
