#!/bin/bash

# Copyright 2010 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

Buildtool_setup() {
    Catch_faults permit_errors

    TARGETFS="${IBS_WORKDIR}/${PROJECT}/chroot"

    if [ -d "${IBS_WORKDIR}/${PROJECT}/config" ]; then
        rm -rf "${IBS_WORKDIR}/${PROJECT}/config" > /dev/null 2>&1 || true
    fi

    Action "Copying project configuration directory into work directory for build"
    Export_project_config "${PROJECT}" "${IBS_WORKDIR}/${PROJECT}/config"
    Action_done

    if [ "$?" != "0" ]; then
        Error "Unable to copy project build configuration to %s" "${IBS_WORKDIR}/${PROJECT}/config"
        Die
    fi
    Catch_faults disallow_errors
}

Buildtool_build() {
    Action "Test Build - Buildtool_build"
    Action_done
}

Buildtool_cleanup() {
    Action "Test Build - Buildtool_cleanup"
    Action_done
}

_Check_directory() {
    if [ "${PWD}" != "${IBS_WORKDIR}/${PROJECT}" ]; then
        Error "Working directory is '%s'; expected '%s'" "{$PWD}" "${IBS_WORKDIR}/${PROJECT}"
        Die
    fi
    Debug "Directory check performed and was successful; PWD: %s" "${PWD}"
}

_SaveConfig() {
    Action "Test Build - _SaveConfig"
    Action_done
}

_SaveBuildWorkDirectory() {
    Action "Test Build - _SaveBuildWorkDirectory"
    Action_done
}
