# Copyright 2010 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).
import os
import logging
from ConfigParser import SafeConfigParser

OFFSPRING_ROOT = os.path.abspath(
        os.path.join(os.path.dirname(__file__), '..', '..'))

CONFIG_FILE_PATH = os.path.join(
   OFFSPRING_ROOT, 'config', 'offspring.cfg')


def get_configuration(file_path=None):
    """
    Return a SafeConfigParser object having parsed the file.
    """
    config_filename = file_path
    config = SafeConfigParser()
    if not config_filename:
        if "OFFSPRING_CONFIGFILE" in os.environ:
            config_filename = os.environ["OFFSPRING_CONFIGFILE"]
        else:
            config_filename = CONFIG_FILE_PATH
    if not os.path.exists(config_filename):
        print "E: Specified configfile '%s' does not exist." % config_filename

    logging.debug("Parsing configuration file %s", config_filename)
    config.readfp(open(config_filename, "r"))

    hostname = os.uname()[1]
    config.set("DEFAULT", "hostname", hostname)
    if not config.has_option("DEFAULT", "base_dir"):
        config.set("DEFAULT", "base_dir", OFFSPRING_ROOT)
    if "USERNAME" in os.environ:
        config.set("DEFAULT", "username", os.environ["USERNAME"])
    return config
