from django.contrib.auth.models import Group, Permission


def grant_permission_to_user(user, permission_codename):
    """Grant the permission with the given codename to the given user."""
    group = Group(name=user.username)
    group.save()
    group.permissions.add(
        Permission.objects.get(codename=permission_codename))
    group.save()
    user.groups.add(group)
    user.save()
    return user
